// PPI driver for nRF52840 | gat 26/04/23
#ifndef _SPIS_H_
#define _SPIS_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
	GPIOTE_EVENTS_IN_0
}PPI_Event;

typedef enum
{
	TIMER0_TASKS_COUNT
}PPI_Task;

typedef struct
{
	PPI_Event event;
	PPI_Task task;
	unsigned int channel_index;
}PPI_Config;

void PPI_Configure_Channel(PPI_Config cfg);
void PPI_Enable_Channel(unsigned int channel);
void PPI_Disable_Channel(unsigned int channel);

#ifdef __cplusplus
}
#endif

#endif //_SPIS_H_