#include "cough.hpp"
#include "ADC.h"
#include <cstring> //memcpy
#include "ports.h"

static short ADC_Buffer;

void Cough::Setup()
{
	
}

void Cough::Start()
{
	ADC_Stop();
	(void)ADC_Add_Channel(Cough_ADC_Input, ADC_Input_Range_Vdd_2);
	ADC_Init();
	ADC_Register_Callback(NULL);
	ADC_Sample(&ADC_Buffer);
}

void Cough::Stop()
{
	ADC_Stop();
	(void)ADC_Remove_Channel(ADC_Analog_Input_6);
}

//#define TEST1

void Cough::GetSample(unsigned char* data_ptr)
{
	#ifdef TEST1
	static unsigned short count=0;
	memcpy(data_ptr, &count, 2);
	count++;
	//unsigned char dummyTEST[] = {0xF1,0xF2};
	//memcpy(data_ptr, dummyTEST, sizeof(dummyTEST));
	#else
	unsigned char buffer[2];
	buffer[0] = (unsigned char)(ADC_Buffer >> 8);
	buffer[1] = (unsigned char)(ADC_Buffer);
	memcpy(data_ptr, &buffer, 2U);
	ADC_Sample(&ADC_Buffer);
	#endif // TEST
}
