#ifndef _HSIS_H_
#define _HSIS_H_

#ifdef HSIS_VER_1_0 // --------------- 1.0.X --------------

#define NEB_PWM_Port						0
#define NEB_PWM_Pin								3

#define TTL_ADC_Port						0
#define TTL_ADC_Pin								5

#define SPI_SCLK_Port						0
#define SPI_SCLK_Pin							7

#define SPI_MOSI_Port						0
#define SPI_MOSI_Pin							8

#define SPI_CS_Port							0
#define SPI_CS_Pin								12

#define I2C_SCL_Port						0
#define I2C_SCL_Pin								14

#define I2C_SDA_Port						0
#define I2C_SDA_Pin								15

#define DPT_EOC_Port						0
#define DPT_EOC_Pin								17

#define DBG_MCU_RX_Port					0
#define DBG_MCU_RX_Pin						19

#define EN_NEB_Port							0
#define EN_NEB_Pin								22

#define DBG_MCU_TX_TTL_Port			0
#define DBG_MCU_TX_TTL_Pin				25

#define TRIG_Port								0
#define TRIG_Pin									26

#define SPI_MISO_Port						0
#define SPI_MISO_Pin							27

#define VOLTAGE_DETECT_ADC_Port	0
#define VOLTAGE_DETECT_ADC_Pin		28

#define MICRO_ADC_Port					0
#define MICRO_ADC_Pin							30

#define DEBUG1_Port							1
#define DEBUG1_Pin								1

#define DEBUG2_Port							1
#define DEBUG2_Pin								4

#define EZDAC_CLK_Port					1
#define EZDAC_CLK_Pin							9

#define EN_TRH_Port							0
#define EN_TRH_Pin								0

#define NEB_Detect_Port						0
#define NEB_Detect_Pin								0

#elif defined(HSIS_VER_1_1) // --------------- 1.1.X --------------

#define NEB_PWM_Port						0
#define NEB_PWM_Pin								3

#define NEB_Detect_Port						0
#define NEB_Detect_Pin								4

#define TTL_ADC_Port						0
#define TTL_ADC_Pin								5

#define SPI_SCLK_Port						0
#define SPI_SCLK_Pin							7

#define SPI_MOSI_Port						0
#define SPI_MOSI_Pin							8

#define SPI_CS_Port							0
#define SPI_CS_Pin								12

#define I2C_SCL_Port						0
#define I2C_SCL_Pin								14

#define I2C_SDA_Port						0
#define I2C_SDA_Pin								15

#define DPT_EOC_Port						0
#define DPT_EOC_Pin								17

#define DBG_MCU_RX_Port					0
#define DBG_MCU_RX_Pin						19

#define EN_TRH_Port							0
#define EN_TRH_Pin								21

#define EN_NEB_Port							0
#define EN_NEB_Pin								22

#define DBG_MCU_TX_TTL_Port			0
#define DBG_MCU_TX_TTL_Pin				25

#define TRIG_Port								0
#define TRIG_Pin									26

#define SPI_MISO_Port						0
#define SPI_MISO_Pin							27

#define VOLTAGE_DETECT_ADC_Port	0
#define VOLTAGE_DETECT_ADC_Pin		28

#define MICRO_ADC_Port					0
#define MICRO_ADC_Pin							30

#define DEBUG1_Port							1
#define DEBUG1_Pin								1

#define DEBUG2_Port							1
#define DEBUG2_Pin								4

#define EZDAC_CLK_Port					1
#define EZDAC_CLK_Pin							9

#else
#error "NO HSIS VERSION"
#endif

#endif // _HSIS_H_
