#ifndef _FLASH_STORAGE_HPP_
#define _FLASH_STORAGE_HPP_

#define Page_Size 0x1000

typedef enum
{
	SegA = 0x00071000,
	SegB = 0x00072000,
	SegC = 0x00073000,
	SegD = 0x00074000
}Flash_Segment;

typedef struct
{
	unsigned char SerialNumber[8];
} __attribute__((__packed__)) TypeB_Storage;

class FlashStorage
{
	public :
		static void Load_Daemon_Version(unsigned char* Version_MSB, unsigned char* Version_MidSB, unsigned char* Version_LSB);
		static void Store_Serial_Number(unsigned char* ptr);
		static void Load_Serial_Number(unsigned char* ptr);
	private :
};

#endif //_FLASH_STORAGE_HPP_
