// Class for master easyDAC comms
#ifndef _easyDAC_HPP_
#define _easyDAC_HPP_

class easyDAC
{
	public :
	static void Setup(void);
	static unsigned char* GetSignalsConfig(void);
	static unsigned char* GetImplantConfig(void);
	static void Prepare_Acq_Frame(unsigned char size);

	static bool ImplantConfigReceived;
	private :
	static void Reception_Task(void* context);
	static void Parse_Byte(unsigned char b);
	static void Port_IRQ(void);
};

#endif //_easyDAC_HPP_